%define upstream_name    Test-PAUSE-Permissions
%define upstream_version 0.06

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Tests module permissions in your distribution
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Config::Identity)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker::CPANfile)
BuildRequires: perl(PAUSE::Permissions)
BuildRequires: perl(Parse::CPAN::Meta)
BuildRequires: perl(Parse::LocalDistribution)
BuildRequires: perl(Parse::PMFile)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::UseAllModules)
BuildRequires: perl(parent)
BuildArch: noarch

%description
This module is to test if modules in your distribution have proper
permissions or not. You need to set RELEASE_TESTING to test this.

If your distribution has modules/packages that should not be indexed, you
might want to generate META files before you run this test to provide
'no_index' information to Test::PAUSE::Permissions.

You might also want to prepare '.pause' file to show who is releasing the
distribution (you should have one to release distributions anyway).

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README META.json Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Mon May 09 2016 shlomif <shlomif> 0.60.0-1.mga6
+ Revision: 1011216
- Add BR and update macros
- imported package perl-Test-PAUSE-Permissions

